<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title></title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>
	<h1 class="text-center">
		Bootstrap Grid System
    </h1>

	<!-- Two Column Layout -->
	<h2 class="text-center">
		Two Column Layout
	</h2>
	<!-- <div class="container">
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row text-white text-center">
			
			<div class="bg-primary p-3 border border-dark col-6">
				6 columns
			</div>
			
			<div class="bg-danger p-3 border-dark col-6">
				6 columns
			</div>
		</div>
	</div> -->
	<div class="container-fluid bg-secondary mt-3">

		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row text-white text-center">
			
			<div class="bg-primary p-3 border border-dark col-6">
				6 columns
			</div>
			
			<div class="bg-danger p-3 border-dark col-6">
				6 columns
			</div>
		</div>
		<h3 class="text-center">1:2 Ratio</h3>
		<div class="row text center mt-3">
			<div class="bg-info border border-dark col-4 p-3">4 col</div>
			<div class="bg-warning border border-dark col-8 p-3">8 col</div>
			<!-- If the number of columns in a row exceeds 12, the next div will overflow to the next line. -->
			<div class="bg-success border border-dark col-3 p-3">3 col</div>
			
		</div>

		
	</div>
	<!-- 
	    Bootstrap Grid System runs on a rule of CRC

	        Container - sets the max width of our grid

	           Row - holds 12 colums. Each row is divided equally to 12

	               Column - is where our content will be added. -->

	 <!-- three colums -->
	 <h2 class="text-center my-5">Three Column Layout</h2>
	 <div class="container-fluid bg-secondary">
	 	<h3 class="text-center">1:1:1 Ratio</h3>
	 	<div class="row text-center text-white">
	 		<div class="col-4 bg-info border border-dark p-3">4 col</div>
	 		<div class="col-4 bg-warning border border-dark p-3">4 col</div>
	 		<div class="col-4 bg-success border border-dark p-3">4 col</div>
	 	</div>
	 	<h3 class="text-center">Uneven Colums</h3>
	 	<div class="row text-center">
	 		<div class="col-5 bg-primary border border-dark p-3">5 Col</div>
	 		<div class="col-4 bg-danger border border-dark p-3">4 Col
	 		</div>
	 		<div class="col-3 bg-success border border-dark p-3">3 Col</div>
	 	</div>
	 </div>

	 <!-- columns with content -->
	 <h2 class="text-center my-5">Column with Sample content</h2>
	 <div class="container-fluid bg-dark">
	 	<div class="row">
	 		<div class="col-6 p-3">
	 			<h3>Sample Content</h3>
	 			<p class="mt-2">
	 				lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
	 			</p>
	 		</div>
	 		<div class="col-6 p-3">
	 			<img src="https://place-puppy.com/1000x1000" class="img-fluid">
	 		</div>
	 	</div>

	 </div>
	 <!-- Mini Activity
	 	Create an h3 with its text centered with 48px of margine at the top and bottom.
	 		"mini activity with a column"

	 	create a div with class container-fluid to set our max width
	 	    create a new row
	 	        create 3 columns of different sizes
	 	        	first column should occupy 5 colums
	 	        	second column should occupy 2 columns
	 	        	third column should occupy 5 columns

	 	        	in the first column the following h3"
	 	        		"this text's column bigger than the picture"
	 	        		h3 should be centered.
	 	        	in the second column add an img with the href 
	 	        	the instructor will send in the chat.
	 	        		-img should resize to fit its container
	 	        		-no overflow
	 	        	In the third column add a paragraph element:
	 	        		"This text's column is bigger than the picture"
	  -->

	 <h3 class="text-center my-5">Mini activity with a column</h3>
	 <div class="container-fluid">
	 	<div class="row">
	 		<div class="col-5">
	 			<h3 class="text-center">This text's column is bigger than the picture</h3>
	 		</div>
	 		<div class="col-2">
	 			<img src="https://placebear.com/500/500" class="img-fluid">
	 		</div>
	 		<div class="col-5">
	 			<p>This text's column is bigger than the picture</p>
	 		.</div>
	 	</div>
	 </div>
	 <!-- auto columns -->
	 <h2 class="my-5 text-center">Auto Columns</h2>
	 <!-- To add the number of columns a div in a row can occupy the syntax of the bootstrap class is this: col-<#col> -->
	 <div class="container-fluid bg-secondary">
	 	<div class="row">
	 		<!-- when creating a column but not providing the total number of grid columns to occupy, bootstrap will then assign and calcuate the total number of columns left in the row and assign per auto column accordingly
	 		 -->
	 		<div class="bg-danger border border-dark p-3 col">Auto 1</div>
	 		<div class="bg-success border border-dark p-3 col">Auto 2</div>
	 		<div class="bg-info border border-dark p-3 col">Auto 3</div>
	 		<div class="bg-success border border-dark p-3 col">Auto 4</div>
	 		<div class="bg-light border border-dark p-3 col">Auto 5</div>
	 		<div class="bg-secondary border border-dark p-3 col">Auto 6</div>
	 		<div class="bg-primary border  p-3 col">Auto 7</div>
	 	</div>
	 	<div class="row">
	 		<div class="col-6 bg-primary border border-dark">
	 		col 6</div>
	 		<div class="col bg-success border border-dark">Auto</div>
	 		<div class="col bg-info border border-dark">Auto</div>
	 		<div class="col bg-danger border border-dark">Auto</div>
	 	</div>
	 </div>
	 <!-- breakpoints and columns -->
	 <h2 class="my-5 text-center">Breakpoints and columns</h2>
	 <div class="container-fluid bg-dark">
	 	<div class="row">
	 		<!-- By default a column will occuply 12 columns, until its breakpoint. A breakpoint is the screen or screen size where in the number of columns given will take effect. -->
	 		<div class="col-lg-6 bg-danger border border-dark p-3">
	 			6 cols in lg, 12 cols in xs
	 		</div>
	 		<!-- by declaring or adding col without break point this means that this dive has 6 columns from the smallest screen to the largest. -->
	 		<div class="col-6 bg-primary border border-dark p-3">
	 			6 cols all screens
	 			
	 		</div>
	 	</div>
	 	<div class="row my-5">
	 		<div class="col-3 col-lg-8 bg-info border border-dark p-3">
	 			col-lg-8
	 		</div>
	 		<div class="col-md-4 bg-warning border border-dark p-3">
	 			col-md-4
	 		</div>
	 	</div>
	 <!-- 
	 	Breakpoints 

	 	You can set the number of columns a div occupies per screen using breakpoint.

	 	However, by default from the smallest screen a div with class col will occupy 12 columns.

	 	This is because, bootstrap is a mobile-first approach to styling a web page.

	 	Since bootstrap takes a mobile-first approach, the default breakpoint is for the smallest to the largest screen.

	 	Columns can be sized with the breakpoints starting from the smallest screen:

	 	col-* - from the smallest screen
	 	col-sm-* - breakpoint from small screen or about 576px screen width
	 	col-md-* - breakpoint from the medium screen or tablet* or 768px screen
	 	col-lg-* - breakpoint from the large screen or laptop or 992px screen width.
	 	xol-xl-* - breakpoint from the largest screen or 1200px screen width 

	 	if a div in a row has the following classes:
	 	col-6 col-md-10

	 	How many columns does the div occupy in the smallest screen? 6

	 	How many columns does the div occupy in the medium screen?
	 	10?

	 	How many columns does the div occupy in the largest screen?

	 	col-sm-10
	 	How many columns does the div occupy in the smallest screen?12
	 	How many columns does the div occupy in the small screen? 10
	 	How many columns does the div occupy in the medium screen? 10
	 	How many columns does the div occupy in the largest screen? 10

	 	col-12
	 	How many columns does the div occupy in the smallest screen?12
	 	How many columns does the div occupy in the small screen? 12
	 	How many columns does the div occupy in the medium screen? 12
	 	How many columns does the div occupy in the largest screen? 1
	  -->
	  		<!-- Mini Acitivity

	  			add an h3 with the text Mini Acvitity with Breakpoints
	  				-center the text
	  				-add 48 px margin from the toop of the element.

	  			Create a row with 2 divs
	  				First div:
	  				-occipies 6 columns from smallest screen to largest
	  				-bg color is primary
	  				-border color is black
	  				padding size is 3 on all sides

	  				Second Div
	  				-occupies 6 colimns from the smallest screen
	  				-occupies 10 columns from the medium screen to largest screen
	  				-bg color is danger 
	  				-border color is black
	  				-padding 3 on all sides
	  		 -->

	 <h3 class="text-center my-5">Mini Activity With Breakpoints</h3>
	 <div class="row mb-5">
	 	<div class="col-6 bg-primary border border-dark p-3">
	 		Div 1
	 	</div>
	 	<div class="col-6 col-md-10 bg-danger border border-dark p-3">
	 		Div 2
	 	</div>
	 </div>
	 <div class="row">
	 	<!--
	 	 	Create 3 div:
	 	 	first div
	 	 	Occupies 12 columns from the smallest screen
	 	 	occupies 8 columns from the medium to large screen
	 	 	bg color is success
	 	 	border color is dark
	 	 	padding size is 3 on all sides

	 	 	Second div
	 	 	Occupies 6 columns from smallest screen
	 	 	Occupies 2 columns from medium to large screen
	 	 	bg-color is info
	 	 	border color is dark
	 	 	padding size 3 on all sides

	 	 	Third div
	 	 	Occupies 6 columns from the smallest screen
	 	 	occupies 2 columns from the medium to large screen
	 	 	bg color is info
	 	 	border color is dark
	 	 	padding size 3 on all sides.
	 	 -->

	 	 <div class="col-md-8 bg-success border border-dark p-3">
	 	 	Div 1
	 	 </div>
	 	 <div class="col-6 col-md-2 bg-info border border-dark p-3">
	 	 	div 2
	 	 </div>
	 	 <div class="col-6 col-md-2 bg-info border border-dark p-3">
	 	 	div 3
	 	 </div>
	 </div>
	 <!-- 

	 		Breakpoints with Text Alignment -->

	 		<!-- Default text alignment is in left from smallest to largest
	 		 screen
	 		  -->

	 	<h3 class="text-md-center my-5">Text Alignment with Breakpoints</h3>
	 	<div class="row">
	 		<div class="col-6 col-md-8 text-right text-md-left bg-primary border border-dark p-3">
	 			Div 1
	 		</div>
	 		<div class="col-6 col-md-4 text-md-right bg-danger border border-dark p-3">
	 			Div 2
	 		</div>
	 	</div>

	 <h2 class="text-center my-5">Display Order With Breakpoints</h2>
	 <div class="row">
	 	<div class="col-6 col-md-10 order-2 order-md-1 bg-warning border border-dark p-3">
	 		Div 1
	 	</div>

	 	<div class="col-6 col-md-2 order-1 order-md-2 bg-primary border border-dark p-3">
	 		Div 2
	 	</div>
	 	
	 	
	 </div>

	 <h3 class="text-md-center my-5">Mini Activity with order</h3>
	 <div class="row">
	 	<div class="col-4 bg-warning border border-dark p-3 order-md-2 order-lg-3">
	 		Lebron
	 	</div>
	 	<div class="col-4 bg-secondary border border-dark p-3 text-white order-md-3 order-lg-1">
	 		Durant
	 	</div>
	 	<div class="col-4 bg-secondary border border-dark p-3 order-3 order-md-1 order-lg-2">
	 		Curry
	 	</div>
	 </div>






	 </div>




	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>